/*
 * Gemueseartikel.java
 *
 * Created on 7. Januar 2001, 14:04
 */



/**
 *
 * @author $Author: tilman $
 * @version $Revision: 1.3 $
 * $Date: 2001/01/13 22:51:55 $
 * $Source: /cvs/java/angabe3/Gemueseartikel.java,v $
 */

import java.util.*;

public class Gemueseartikel extends Object {
/* definiert die Artikelliste, mit der hauptschlich gearbeitet wird */

    /** Creates new Gemueseartikel */
    public Gemueseartikel() {
         readGemueseartikelDB("./","artikel.txt");
    }
    
    public Gemueseartikel( String pfad,String name) {
        readGemueseartikelDB(pfad, name);
    }

    public static TreeSet liste = new TreeSet();
	/* Die sortierte Liste */

    public static void readGemueseartikelDB(String pfad,String name){
    	/* Das Textfile wird eingelesen */
        ReadFile filehandle;
        String record;
        filehandle = new ReadFile(pfad,name);
      	int comma1, comma2;
        int i = 0;
        while (null != (record = filehandle.readLine())) {
	    Gemuesesorte listenobjekt = new Gemuesesorte();
            comma1 = record.indexOf(';');
	    comma2 = record.indexOf(';',comma1 + 1 );	// Die Feldtrennzeichen werden bestimmt
	    if (comma1 == -1 || comma2 == -1) {
	        System.out.println("Falsches Format: " + record);
		continue;
	    }
            listenobjekt.gart = record.substring(0,comma1);
            listenobjekt.gname = record.substring(comma1+1, comma2);
            listenobjekt.gcode = record.substring(comma2+1, record.length());
  	    try {
		listenobjekt.gnr = Integer.parseInt(listenobjekt.gcode.substring(2,listenobjekt.gcode.length()));
	    } catch(Exception e) {		
	    	System.out.println(record);
	    	System.out.println("Keine Nummer. "+listenobjekt.gcode.substring(2,listenobjekt.gcode.length()));
		listenobjekt.gnr = 0;			
	    }
	    liste.add(listenobjekt);
	    i++;	
        }
        System.out.println(i + " Artikel eingelesen");
    }

    public static void listeausgeben(){
    /* Methode zum debuggen*/
		Iterator it = liste.iterator();
		Gemuesesorte listenobjekt = new Gemuesesorte();
		while (it.hasNext()) {
			listenobjekt = (Gemuesesorte)it.next();
			System.out.println(listenobjekt.gcode);
		}
		System.out.println("Listenende");
	}

    public boolean codeIsElement(String code){
    /* prft ob es den code schon in der Liste gibt */
		Iterator it = liste.iterator();
		while (it.hasNext()) {
			if ( ((Gemuesesorte)it.next()).gcode.equals(code) )
				return true;
		}
		return false;
    }

    public Gemuesesorte getwithsorte(String sorte) {
    /* Ermittelt aus der Liste das zum Sortennamen gehrende Objekt */
		Iterator it = liste.iterator();
		Gemuesesorte listenobjekt = new Gemuesesorte();
		while (it.hasNext()) {
			listenobjekt = (Gemuesesorte)it.next();
			if (listenobjekt.gname.equals(sorte))
				return listenobjekt;		
		}
		return new Gemuesesorte();
    }
    
    public static void main(String args) {
    	/* Alibi main */
        System.out.println("Dies ist nicht das Hauptprogramm");
    }
 
}
