import java.io.*;

public class ReadFile {
	private DataInputStream dis;
	private boolean fehler;
	
	public ReadFile(String path, String name) {
		try {
			dis = new DataInputStream(new FileInputStream(new File(path, name)));
			fehler = false;
			}
		catch (Exception e) {
			fehler = true;
			System.out.println("Fehler beim ffnen: " + e);
			}
		}
	
	public void test() {
		String s;
		while (null != (s = readLine()))
			System.out.println(s);
		}
	
	public String readLine() {
		String s = null;
		if (fehler)
			return null;
		try {
			s = dis.readLine();
			}
		catch (Exception e) {
			System.out.println("Fehler beim Lesen: " + e);
			}
		return s;
		}
	
	public void close() {
		try {
			fehler = true;
			dis.close();
			}
		catch (Exception e) {
			System.out.println("Fehler beim Schlieen: " + e);
			}
		}
	
	public static void main(String args[]) {
		String path = "/anydir/ReadFile";
		ReadFile file = new ReadFile(path, "test.txt");
		file.test();
		file.close();
		}
	}
