/*
 * AnzeigeFenster.java
 *
 * Created on 04. Jnner 2001, 18:28
 */

/**
 *
 * @author  $Author: tilman $
 * @version $Revision: 1.8 $
 * $Date: 2001/01/13 22:53:11 $
 * $Source: /cvs/java/angabe3/AnzeigeFenster.java,v $
 */

import org.netbeans.lib.awtextra.*;
/* wird fr das Fort Layout bentigt */
import java.awt.*;
import java.awt.event.*;
import java.util.*; /* wird fr die Liste bentigt */

public class AnzeigeFenster extends Frame implements ActionListener {
/* Diese Klasse definiert das Ausgangsfenster */

/* Globale Variablen, die fr die ganze Applikation gltig sind; */
    public static Gemuesearten arten = new Gemuesearten();
    public static Gemueseartikel artikel = new Gemueseartikel();
    public static AnzeigeCanvas can;

/** Creates new form AnzeigeFenster */
    public AnzeigeFenster() {
        initComponents ();
    }

/* Fensterelemente: */
    private ScrollPane sp;
    private Button neu;
    private Button loeschen;
    private Button aendern;


    private void initComponents () {

	/* Globale Fenstereinstellungen */
	  sp = new ScrollPane(ScrollPane.SCROLLBARS_AS_NEEDED);
        neu = new Button ();
        loeschen = new Button ();
        aendern = new java.awt.Button ();
        setLayout (new org.netbeans.lib.awtextra.AbsoluteLayout ());
        setTitle ("Artikelverwaltung");
        setSize (500, 375);
        addWindowListener (new java.awt.event.WindowAdapter () {
            public void windowClosing (java.awt.event.WindowEvent evt) {
                exitForm (evt);
            }
        }
        );

	/* Scrollpane mit individuellen Canvas drauf: */
        sp.setFont (new java.awt.Font ("Serif", 0, 12));
        sp.setName ("sp");
        sp.setBackground (java.awt.Color.white);
        sp.setForeground (java.awt.Color.black);
	  can = new AnzeigeCanvas(artikel);
        sp.add(can);

        add (sp, new org.netbeans.lib.awtextra.AbsoluteConstraints (10, 30, 480, 290));

 	/* Der 'Neu' Button: */
 	  neu.setFont (new java.awt.Font ("Dialog", 0, 11));
        neu.setLabel ("Neu");
        neu.setActionCommand ("neu");
        neu.setName ("neu");
        neu.setForeground (java.awt.Color.black);
        neu.addActionListener(this);

        add (neu, new org.netbeans.lib.awtextra.AbsoluteConstraints (140, 320, 75, 30));

	/* Der 'Lschen' Button */
        loeschen.setFont (new java.awt.Font ("Dialog", 0, 11));
        loeschen.setLabel ("L\u00f6schen");
        loeschen.setName ("loeschen");
        loeschen.setActionCommand("loeschen");
        loeschen.setBackground (java.awt.Color.lightGray);
        loeschen.setForeground (java.awt.Color.black);
        loeschen.addActionListener(this);

        add (loeschen, new org.netbeans.lib.awtextra.AbsoluteConstraints (340, 320, 75, 30));

	/* Der 'ndern' Button: */
	  aendern.setFont (new java.awt.Font ("Dialog", 0, 11));
        aendern.setLabel ("\u00c4ndern");
        aendern.setActionCommand ("aendern");
        aendern.setName ("aendern");
        aendern.setBackground (new java.awt.Color (216, 208, 200));
        aendern.setForeground (java.awt.Color.black);
        aendern.addActionListener(this);

        add (aendern, new org.netbeans.lib.awtextra.AbsoluteConstraints (240, 320, 75, 30));
  }
    
    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {
    	abspeichern();
      System.exit (0);
    }

    /**
    * @param args the command line arguments
    */
    public static void main (String args[]) {
        new AnzeigeFenster ().show ();
    }

    public void actionPerformed(ActionEvent event) {
    /* Prozedur des ActionListener Interfaces */

	String cmd = event.getActionCommand();
	/*Welcher Knopf wurde gedrckt? */
     	if (cmd.equals("neu")) {
     		DatenFenster neu = new DatenFenster(arten);
		neu.setTitle("Neu");
		neu.setVisible(true);
     	}
     	if (cmd.equals("loeschen")) {
     		AuswahlFenster loeschen = new AuswahlFenster(arten,artikel);
		loeschen.setTitle("L\u00f6schen");
		loeschen.setVisible(true);
     	}
     	if (cmd.equals("aendern")) {
     		AuswahlFenster aendern = new AuswahlFenster(arten, artikel);
		aendern.setTitle("\u00c4ndern");
		aendern.setVisible(true);
    	}
     	
    }

    public void abspeichern() {
    	/* Prozedur, die die Liste zeilenweise in eine Datei schreibt */
	Iterator it = artikel.liste.iterator();
	Gemuesesorte listenobjekt = new Gemuesesorte();
	boolean status = false;
	while(it.hasNext()) {
		listenobjekt = ((Gemuesesorte)it.next());
		System.out.println(listenobjekt.gname+ " wird geschrieben");
		WriteFile zeile = new WriteFile("ausgabe.txt",listenobjekt.gart+";"+listenobjekt.gname+";"+listenobjekt.gcode, status);
		status = true;
	}
    }
}
