/*
 * DatenFenster.java
 *
 * Created on 04. Jnner 2001, 19:52
 */

/**
 *
 * @author  $Author: tilman $
 * @version $Revision: 1.7 $
 * $Date: 2001/01/13 22:52:10 $
 * $Source: /cvs/java/angabe3/DatenFenster.java,v $
 */

import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class DatenFenster extends Frame implements ActionListener {
/* Definiert das DatenFenster */

	private static Gemuesesorte loeschobjekt = new Gemuesesorte();

/** Creates new form DatenFenster */
    public DatenFenster(Gemuesearten arten) {
        initComponents (arten);
    }

    public DatenFenster(Gemuesearten arten, Gemuesesorte listenobjekt) {
	loeschobjekt = listenobjekt;
	initComponents(arten);
   }

	/* Fensterelemente */
	public Choice gemueseart = new Choice ();
      public TextField sortenname = new TextField ();
      public TextField artikelcode = new TextField ();
      public Button okbutton  = new Button ();
	
    private void initComponents (Gemuesearten arten) { 
	/* Fenstereinstellungen */
	setLayout (new org.netbeans.lib.awtextra.AbsoluteLayout ());
	setSize(200,200);
      addWindowListener (new java.awt.event.WindowAdapter () {
            public void windowClosing (java.awt.event.WindowEvent evt) {
                exitForm (evt);
            }
        }
      );

	/* Gemseart Choice */
      gemueseart.setFont (new Font ("Dialog", 0, 11));
      gemueseart.setName ("gemueseart");
      gemueseart.setBackground (Color.white);
      gemueseart.setForeground (Color.black);
      Iterator it = arten.liste.iterator();
	while(it.hasNext()) {
		gemueseart.add( ((Gemueseart)it.next()).gname);
	}
 
        add (gemueseart, new org.netbeans.lib.awtextra.AbsoluteConstraints (20, 40, 150, 30));

	/* TextField mit dem Sortenname */
	sortenname.setBackground (Color.white);
      sortenname.setName ("sortenname");
      sortenname.setFont (new Font ("Dialog", 0, 11));
      sortenname.setForeground (Color.black);
      sortenname.setText ("Sortenname");

      add (sortenname, new org.netbeans.lib.awtextra.AbsoluteConstraints (20, 80, 160, 20));

	/* ArtikelCode TextField */
      artikelcode.setBackground (java.awt.Color.white);
      artikelcode.setName ("artikelcode");
      artikelcode.setFont (new java.awt.Font ("Dialog", 0, 11));
      artikelcode.setForeground (java.awt.Color.black);
      artikelcode.setText ("Artikelcode");

      add (artikelcode, new org.netbeans.lib.awtextra.AbsoluteConstraints (20, 120, 160, 20));

	/* OK Button */
      okbutton.setFont (new java.awt.Font ("Dialog", 0, 11));
      okbutton.setLabel ("OK");
      okbutton.setName ("ok");
      okbutton.setBackground (new java.awt.Color (216, 208, 200));
      okbutton.setForeground (java.awt.Color.black);
	okbutton.setActionCommand("ok");
	okbutton.addActionListener(this);

      add (okbutton, new org.netbeans.lib.awtextra.AbsoluteConstraints (20, 160, 160, 20));

    }
    
    /** Exit the Application */
    private void exitForm(WindowEvent evt) {
      dispose();
    }
    
    public void actionPerformed(ActionEvent event) {
	/* Methode des ActionListener Interface */
	String cmd = event.getActionCommand();
	boolean fensterschliessen = false;
    	if (cmd.equals("ok")) {
		if (getTitle().equals("Neu")) {
			// Datensatz hinzufgen
			fensterschliessen = plausi();
			if (fensterschliessen) {
				Gemuesesorte listenobjekt = new Gemuesesorte();
				listenobjekt.gcode = artikelcode.getText();
				listenobjekt.gart = gemueseart.getSelectedItem();
				listenobjekt.gname = sortenname.getText();
  	    			try {
					listenobjekt.gnr = Integer.parseInt(listenobjekt.gcode.substring(2,listenobjekt.gcode.length()));
	    			} catch(Exception e) {	
					System.out.println("Fehler im gCode");
					fensterschliessen = false;
				}
				AnzeigeFenster.artikel.liste.add(listenobjekt);
			}
		}

		if (getTitle().equals("\u00c4ndern")) {
			// Datensatz ndern
			Gemuesesorte listenobjekt = new Gemuesesorte();
			listenobjekt.gcode = artikelcode.getText();
			listenobjekt.gname = sortenname.getText();
			listenobjekt.gart = gemueseart.getSelectedItem();
			try {
				listenobjekt.gnr = Integer.parseInt(listenobjekt.gcode.substring(2,listenobjekt.gcode.length()));
				fensterschliessen = true;
	    		} catch(Exception e) {	
				System.out.println("Fehler im gCode");
				fensterschliessen = false;
			}
			if (fensterschliessen) {
				// Lschen des Originals
				System.out.println(loeschobjekt.gname + "wird temporr gelscht");
				AnzeigeFenster.artikel.liste.remove(loeschobjekt);
				fensterschliessen = plausi();
				if (fensterschliessen) {
					/* Wenns plausibel ist, wird das
					 * genderte Objekt hinzugefgt */
					AnzeigeFenster.artikel.liste.add(listenobjekt);
				} else {
					/* Wenn das neue Objekt nicht
					 * plausibel ist, wird das alte
					 * wieder eingefgt */
					AnzeigeFenster.artikel.liste.add(loeschobjekt);
				}
			}
		}
		
		if (fensterschliessen) {
			/* Fensterschliessen und AnzeigeFenster
			 * neuzeichnen */
			AnzeigeFenster.can.repaint();
			System.out.println("Der Datensatz ist plausibel");
			dispose();
		}		
       }
     }

	public boolean plausi() {
	/* berprft, ob alle Felder korrekt gefllt sind */
		if ( sortenname.getText().length() != 0) {
			if (gemueseart.getSelectedItem().substring(0,2).equals(artikelcode.getText().substring(0,2)) ) {
				if (AnzeigeFenster.artikel.codeIsElement(artikelcode.getText()) == false){
					return true;
				} else {
					System.out.println("Code ist doppelt" + artikelcode.getText()); }
			} else {
				System.out.println("Code und Gemueseart stimmen nicht berein"); }
		} else {
			System.out.println("Der Sortenname ist leer"); }
		return false;
	}

    /**
    * @param args the command line arguments
    */

    public static void main (String args[]) {
    /* Alibi main */
        Gemuesearten arten = new Gemuesearten();

        new DatenFenster (arten).show ();

    }

}
